-- +goose Up
-- +goose StatementBegin
CREATE TABLE IF NOT EXISTS CardLocation (
	Id INT AUTO_INCREMENT PRIMARY KEY,
	ScryfallCardId VARCHAR(36) NULL,
	FOREIGN KEY (ScryfallCardId) REFERENCES ScryfallCard(Id),
	StorageAreaId INT NOT NULL,
	FOREIGN KEY (StorageAreaId) REFERENCES StorageArea(Id),
	Position INT NULL,
	CardtraderProductId INT NULL
);
-- +goose StatementEnd

-- +goose Down
-- +goose StatementBegin
DROP TABLE IF EXISTS CardLocation;
-- +goose StatementEnd
